/////////////////////////////////////////////////////////////////
//Copyright (C) 2005 NTT CORPORATION.
//
//	LO終結条件フレームアクションクラス
//
//		変更履歴
//			2005.02.12  新規作成  梅原 浩司
//
//	機能
//
//	このクラスはLO終結条件フレームのアクションクラスです。
//
////////////////////////////////////////////////////////////////

package jp.co.ntt.lms.xmf.actions.xmo.lo.conclusion;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.util.MessageResources;

/**
 *  LO終結条件フレームアクションクラス
 * 
 *  このクラスは終結条件フレームのアクションクラスです。
 * 
 *  @author 梅原 浩司
 *  @version 1.0
 */
public class LoConclusionFrameAction extends Action {

	/**
	 * executeメソッド
	 * 
	 * @param ActionMapping このアクションが選択されたときに使用されたActionMapping
	 * @param ActionForm 入力フォーム
	 * @param HttpServletRequest HTTPリクエスト
	 * @param HttpServletResponse HTTPレスポンス
	 * @return ActionForward アクションフォワード
	 * @throws Exception 
	 */
public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response) throws Exception {

		// メッセージリソース取得
		MessageResources resources = getResources(request, "msg.xmf.xmo.Lo.Conclusion.MessageResources");

		//-------------------------------------------------------------------------
		// パラメータ取得
		//-------------------------------------------------------------------------
		String strParentID = request.getParameter("parentID");		// 親LoのID
		String strLoID = request.getParameter("LoID");				// LoID
		String strLoType = request.getParameter("LoType");			// LoType

		//-------------------------------------------------------------------------
		// パラメータチェック
		//-------------------------------------------------------------------------
		if (strParentID == null)
		{
			strParentID = "";
		}
		if (strLoID == null)
		{
			strLoID = "";
		}
		if (strLoType == null)
		{
			// デフォルトのLOタイプを設定します
			strLoType = resources.getMessage("CONTAINER_TYPE");
		}

		//-------------------------------------------------------------------------
		// 完結要件登録、更新画面の表示選択
		//-------------------------------------------------------------------------
		String strDispayConclution;
		String strTitle;
		//新規登録時
		if (strLoID == null || strLoID.equals(""))
		{
			strDispayConclution = "LoConclusionInsert.do" + 
				"?parentID=" + strParentID + 
				"&LoType=" + strLoType;

			strTitle = resources.getMessage("STR_TITLE_NEW_CONCLUSION");
		}
		//更新登録時
		else
		{
			strDispayConclution = "LoConclusionUpdate.do" + 
				"?LoID=" + strLoID + 
				"&LoType=" + strLoType;

			strTitle = resources.getMessage("STR_TITLE_UPD_CONCLUSION");
		}
		
		request.setAttribute("strTitle", strTitle);
		request.setAttribute("strDispayConclution", strDispayConclution);
		
		return mapping.findForward("success");
	}
}
